Bug 1470501 - SELinux is preventing blueman-mechanism from send message to dbus
SELinux is preventing blueman-mechanism from send message to dbus
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 00:46 EDT by Zamir SUN
Modified: 2017-09-09 22:26 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error dialog upon Fedora 26 KDE/Plasma login (14.05 KB, image/png)
2017-09-06 22:01 EDT, Raif S. Naffah
no flags Details

  None (edit)
Description Zamir SUN 2017-07-13 00:46:55 EDT
Description of problem:
The following messages shows each time I login into F26 XFCE. This is upgraded from Fedora 25. 
g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.GLib.Error: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/blueman/main/DbusService.py", line 38, in wrapper
    return method(*args[1:], **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/plugins/mechanism/Network.py", line 56, in ReloadNetwork
    self.confirm_authorization(caller, "org.blueman.network.setup")
  File "/usr/libexec/blueman-mechanism", line 166, in confirm_authorization
    action_id, {}, 1, "")
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.90" (uid=0 pid=6048 comm="python3 /usr/libexec/blueman-mechanism " label="system_u:system_r:blueman_t:s0") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.10" (uid=995 pid=1172 comm="/usr/lib/polkit-1/polkitd --no-debug " label="system_u:system_r:policykit_t:s0") (9)
 (36)

Version-Release number of selected component (if applicable):
[zsun@zsun-w541 ~]$ rpm -q selinux-policy
selinux-policy-3.13.1-259.fc26.noarch
[zsun@zsun-w541 ~]$ getenforce 
Enforcing
[zsun@zsun-w541 ~]$ grep -v '#' /etc/sysconfig/selinux 
grep: /etc/sysconfig/selinux: Permission denied
[zsun@zsun-w541 ~]$ sudo grep -v '#' /etc/sysconfig/selinux 
[sudo] password for zsun: 

SELINUX=enforcing
SELINUXTYPE=targeted

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Raif S. Naffah 2017-09-06 22:01 EDT
Created attachment 1322857 [details]
Error dialog upon Fedora 26 KDE/Plasma login

the same happens when logging in w/ Fedora 26 KDE/Plasma after the upgrade from 25 to 26.

the dialog (attached screenshot) and the message (when the 'Exception' item is clicked --same as reported-- follows:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.GLib.Error: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/blueman/main/DbusService.py", line 38, in wrapper
    return method(*args[1:], **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/plugins/mechanism/Network.py", line 56, in ReloadNetwork
    self.confirm_authorization(caller, "org.blueman.network.setup")
  File "/usr/libexec/blueman-mechanism", line 166, in confirm_authorization
    action_id, {}, 1, "")
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.58" (uid=0 pid=1961 comm="python3 /usr/libexec/blueman-mechanism " label="system_u:system_r:blueman_t:s0") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.8" (uid=999 pid=930 comm="/usr/lib/polkit-1/polkitd --no-debug " label="system_u:system_r:policykit_t:s0") (9)
 (36)
Comment 2 Dean Smith 2017-09-09 22:26:05 EDT
I think this is the root cause of the even earlier issue: https://bugzilla.redhat.com/show_bug.cgi?id=1441920

I have the same problem on boot with Fedora 26 GNOME, upgraded from Fedora 25. I am not sure if it happened immediately after the upgrade, as I may have installed blueman once I was on F26.

Note You need to log in before you can comment on or make changes to this bug.